Bug 226658 - [run-webkit-tests] Use Python 3
Summary: [run-webkit-tests] Use Python 3
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jonathan Bedard
URL:
Keywords: InRadar
Depends on: 230513
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-04 13:03 PDT by Jonathan Bedard
Modified: 2021-09-29 08:27 PDT (History)
6 users (show)

See Also:


Attachments
Patch (24.59 KB, patch)
2021-06-04 13:08 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Part 1 (1005 bytes, patch)
2021-06-30 10:45 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (24.09 KB, patch)
2021-06-30 11:09 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Run with 3 test (4.60 KB, patch)
2021-07-01 08:43 PDT, Jonathan Bedard
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (4.54 KB, patch)
2021-08-16 11:11 PDT, Jonathan Bedard
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (5.93 KB, patch)
2021-08-16 14:59 PDT, Jonathan Bedard
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Testing Patch (6.25 KB, patch)
2021-08-16 16:47 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Part 2 (26.27 KB, patch)
2021-08-17 08:32 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Testing Patch (5.12 KB, patch)
2021-08-17 15:33 PDT, Jonathan Bedard
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Testing Patch (5.60 KB, patch)
2021-08-18 10:42 PDT, Jonathan Bedard
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Testing Patch (17.51 KB, patch)
2021-08-20 17:42 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
[fast-cq] Patch (7.91 KB, patch)
2021-08-26 09:14 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
[fast-cq] Patch (20.29 KB, patch)
2021-08-26 09:16 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (26.36 KB, patch)
2021-09-24 17:04 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff
Patch (26.35 KB, patch)
2021-09-24 17:08 PDT, Jonathan Bedard
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Bedard 2021-06-04 13:03:54 PDT
Now that run-webkit-tests is compatible with Python 3.8, we should use Python 3 for run-webkit-tests.
Comment 1 Radar WebKit Bug Importer 2021-06-04 13:04:29 PDT
<rdar://problem/78882016>
Comment 2 Jonathan Bedard 2021-06-04 13:08:59 PDT
Created attachment 430602 [details]
Patch
Comment 3 Jonathan Bedard 2021-06-04 13:16:20 PDT
Probably needs to be tested at the same time as https://bugs.webkit.org/show_bug.cgi?id=225427, they are doing something very similar
Comment 4 Jonathan Bedard 2021-06-30 10:45:14 PDT
Created attachment 432609 [details]
Part 1
Comment 5 Jonathan Bedard 2021-06-30 11:09:51 PDT
Created attachment 432612 [details]
Patch
Comment 6 Jonathan Bedard 2021-07-01 08:43:55 PDT
Created attachment 432699 [details]
Run with 3 test
Comment 7 Carlos Alberto Lopez Perez 2021-07-08 17:24:56 PDT
is this waiting for review? why not squash all the 3 commits into 1?
Comment 8 Aakash Jain 2021-07-09 08:21:29 PDT
(In reply to Carlos Alberto Lopez Perez from comment #7)
> is this waiting for review? why not squash all the 3 commits into 1?
Nope. It's waiting for more testing.
Comment 9 Jonathan Bedard 2021-07-12 08:41:09 PDT
(In reply to Carlos Alberto Lopez Perez from comment #7)
> is this waiting for review? why not squash all the 3 commits into 1?

Just some clarification, the 3rd patch is not meant for landing, it's just a way for me to force EWS to use Python 3 since buildbot invokes run-webkit-tests with Python 2 directly.
Comment 10 Jonathan Bedard 2021-08-16 11:11:21 PDT
Created attachment 435620 [details]
Patch
Comment 11 Jonathan Bedard 2021-08-16 14:59:36 PDT
Created attachment 435632 [details]
Patch
Comment 12 Jonathan Bedard 2021-08-16 16:47:10 PDT
Created attachment 435643 [details]
Testing Patch
Comment 13 Jonathan Bedard 2021-08-17 08:32:58 PDT
Created attachment 435689 [details]
Part 2
Comment 14 Aakash Jain 2021-08-17 13:15:42 PDT
https://ews-build.webkit.org/#/builders/10/builds/101763 (windows)
  File "/home/buildbot/worker/Windows-EWS/build/Tools/Scripts/webkitpy/common/system/abstractexecutive.py", line 111, in command_for_printing
    return string_utils.decode(string_utils.encode(' '.join(args), encoding='unicode_escape'))
TypeError: sequence item 0: expected str instance, bytes found
Comment 15 Jonathan Bedard 2021-08-17 15:33:05 PDT
Created attachment 435716 [details]
Testing Patch
Comment 16 Jonathan Bedard 2021-08-18 10:42:36 PDT
Created attachment 435782 [details]
Testing Patch
Comment 17 Jonathan Bedard 2021-08-20 17:42:56 PDT
Created attachment 436049 [details]
Testing Patch
Comment 18 dewei_zhu 2021-08-24 16:02:52 PDT
Comment on attachment 432609 [details]
Part 1

r=me
Comment 19 EWS 2021-08-24 16:39:20 PDT
Committed r281528 (240900@main): <https://commits.webkit.org/240900@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 432609 [details].
Comment 20 Jonathan Bedard 2021-08-26 09:14:21 PDT
Reopening to attach new patch.
Comment 21 Jonathan Bedard 2021-08-26 09:14:22 PDT
Created attachment 436518 [details]
[fast-cq] Patch
Comment 22 Jonathan Bedard 2021-08-26 09:16:28 PDT
Created attachment 436519 [details]
[fast-cq] Patch
Comment 23 EWS 2021-08-26 09:25:27 PDT
Committed r281627 (240983@main): <https://commits.webkit.org/240983@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 436518 [details].
Comment 24 Aakash Jain 2021-08-27 02:35:36 PDT
.
Comment 25 Aakash Jain 2021-08-27 02:36:16 PDT
Reopened for landing attachment 436519 [details].
Comment 26 EWS 2021-08-27 02:40:29 PDT
Committed r281690 (241040@main): <https://commits.webkit.org/241040@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 436519 [details].
Comment 27 Aakash Jain 2021-08-27 04:20:40 PDT
buildbot on EWS and build.webkit.org has been restarted to pick up this change.
Comment 28 Jonathan Bedard 2021-09-24 17:03:24 PDT
Blocked by https://bugs.webkit.org/show_bug.cgi?id=230513, as it turns out.
Comment 29 Jonathan Bedard 2021-09-24 17:04:11 PDT
Created attachment 439214 [details]
Patch
Comment 30 Jonathan Bedard 2021-09-24 17:08:57 PDT
Created attachment 439216 [details]
Patch
Comment 31 EWS 2021-09-24 17:46:11 PDT
Committed r283071 (242129@main): <https://commits.webkit.org/242129@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 439216 [details].
Comment 32 Jonathan Bedard 2021-09-29 08:27:24 PDT
Blocked by https://bugs.webkit.org/show_bug.cgi?id=230513 at the moment